Page MenuHomePhabricator

Provide (pre-merge) code coverage reports on patchsets
Closed, ResolvedPublic

Description

I'd really love part of the CI pipeline to say

"With this patch, VisualEditor coverage is 64.3% (up 0.1%)."

Maybe with a link to a the full coverage report for that patchset on that master.

Event Timeline

hashar triaged this task as Low priority.Jun 5 2015, 9:58 PM
hashar set Security to None.
Krinkle claimed this task.Sep 14 2015, 8:31 PM
Krinkle moved this task from Backlog to Next on the Continuous-Integration-Infrastructure board.

Change 237234 had a related patch set uploaded (by Krinkle):
build: Enable json format in karma-coverage

https://gerrit.wikimedia.org/r/237234

Change 237234 merged by jenkins-bot:
build: Enable json-summary format in karma-coverage

https://gerrit.wikimedia.org/r/237234

hashar changed the task status from Open to Stalled.Oct 6 2015, 12:34 PM
hashar added a subscriber: hashar.

Until we have a data store to expose the generated files ( T101545: Provide infrastructure to store files by project/branch post-merge to compare with pre-merge ). There is not much we can do on this task.

jayvdb added a subscriber: jayvdb.Oct 8 2015, 9:57 AM
hashar removed a subscriber: Krinkle.Sep 26 2016, 10:51 AM

I wrote https://packagist.org/packages/mediawiki/phpunit-patch-coverage to be able to do per-patch coverage reports without any complex storage things (which I initially tried and got very lost in).

Here it is hooked up to jenkins: https://integration.wikimedia.org/ci/job/mediawiki-phpunit-coverage-patch/6/console

I'm not really sure how to get jenkins-bot on Gerrit to say custom text from the job result.

Change 407588 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[integration/config@master] Run phpunit patch coverage for MediaWiki in "coverage" pipeline

https://gerrit.wikimedia.org/r/407588

Change 407588 merged by jenkins-bot:
[integration/config@master] Run phpunit patch coverage for MediaWiki in "coverage" pipeline

https://gerrit.wikimedia.org/r/407588

Legoktm changed the task status from Stalled to Open.Feb 2 2018, 8:43 AM
Legoktm claimed this task.
This comment was removed by Krinkle.
Legoktm closed this task as Resolved.Apr 3 2018, 1:43 AM

For the most part this is done for PHP. Follow-up tweaks/improvement are tracked in individual tasks in phpunit-patch-coverage and Continuous-Integration-Infrastructure.